import { jsx } from "react/jsx-runtime";
import { TokenHEZ as TokenHEZ$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHEZ = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HEZ", "data-name": "TokenHEZ", ...props, children: /* @__PURE__ */ jsx(TokenHEZ$1, { variant }) });
  }
);
TokenHEZ.displayName = "TokenHEZ";
Object.assign(TokenHEZ, { isGdsIcon: true });
export {
  TokenHEZ
};
